D_ALLOC(9)

NAME
d_alloc - allocate a dcache entry

SYNOPSIS

struct dentry * d_alloc (struct dentry * parent, const struct qstr * name);

ARGUMENTS

parent
    parent of entry to allocate

name
    qstr of the name

DESCRIPTION

Allocates a dentry. It returns NULL if there is insufficient memory available. On a success the dentry is returned. The name passed in is copied and the copy passed in may be reused after this call.